Terrance1222
Contributor
Contributor

Issue after vSphere upgrade from 7.0.0 to 7.0.2 (HPE)

Team, 

 

We are running HPE Gen10 servers with ESXi Version 7.0.0 build 16324942, and recently we upgraded to Vmware ESXi 7.0.2 update 2 (Vendor: Hewlett Packard Enterprise). 

 

The upgraded was successfully and everything looks "fine". However, when I run "df" command in the server, it prompts out this error, and I am not sure if it is going to impact our service, and how to get rid of this error. 

 

[root@localhost:~] df
Error loading plugin /usr/lib/vmware/esxcli/ext/smad_rev.xml skipping. Error was: Error while trying to register the plugin /usr/lib/vmware/esxcli/ext/smad_rev.xml Duplicate top-level namespaces must have the same description: sma The functionality in /usr/lib/vmware/esxcli/ext/smad_rev.xml will not be available until this issue is resolved.

 

Thanks ! 

Tags (1)
3 Replies
JaSo2
Enthusiast
Enthusiast

Hi Terrance,

I hope I have solution for this - but be careful and check if it fits also for you...

I was just able to resolve same error message at one of our customers (got me to some troubles with NSX installation - apparently as a consequence of this problem you won't be able to fully deploy NSX on TN, it won't connect with controller part of the manager, but that is another story).

The problem is with HPE bundled software - check the ESXi host for installed vibs:

esxcli software vib list | grep ams

You should see results:

amscli, amsd (and amsdhelper probably)

Problem is with amsd and amscli. I'm not sure which one should be gone for you as I was tshooting this on Synergy and the wrong one there is amscli (it is not even in the offline bundles for Synergy, not sure how it got on the ESXi), but my guess would be that it will be amscli also.

The module amsd already "has" amscli (amscli is extension of esxcli, the amsd has it too) and if you check folder /usr/lib/vmware/esxcli/ext/ you will see there 2 XMLs, which are basically the same structure/content wise with just different names (amsd-smadrev.xml and smad_rev.xml) and are causing the problems.

Anyway for me to resolve the problem, I have just removed the vib:

esxcli software vib remove -n amscli

 

Hope it helps,

J.

 

 

 

dmorse
VMware Employee
VMware Employee

Hi @JaSo2 thanks for the tip!  I removed the amscli VIB and rebooted my ProLiant Gen10 hosts, but was still getting an "Error loading plugin" error.

Rerunning the "esxcli software vib list | grep ams" command, I realized there was another VIB I might need to remove: amshelprcli

Once I did that and rebooted the hosts, that only left the amsd and amshelpr VIBs, and this finally resolved the errors for me.

KGundermann
Contributor
Contributor

Updated to 7.0U2 this weekend.

esxcli software vib list

just hangs, I think I have to reboot the server ?

 

0 Kudos